Description: Allow building without unlzx.c
Author: Stephen Kitt <skitt@debian.org>

--- a/src/depackers/Makefile
+++ b/src/depackers/Makefile
@@ -1,6 +1,6 @@
 
 DEPACKERS_OBJS	= ppdepack.o unsqsh.o mmcmp.o readrle.o readhuff.o readlzw.o \
-		  unarc.o arcfs.o xfd.o inflate.o muse.o unlzx.o s404_dec.o \
+		  unarc.o arcfs.o xfd.o inflate.o muse.o s404_dec.o \
 		  unzip.o gunzip.o uncompress.o unxz.o bunzip2.o unlha.o \
 		  xz_dec_lzma2.o xz_dec_stream.o oxm.o vorbis.o crc32.o
 
--- a/src/load.c
+++ b/src/load.c
@@ -49,7 +49,6 @@
 int decrunch_pp		(FILE *, FILE *);
 int decrunch_mmcmp	(FILE *, FILE *);
 int decrunch_muse	(FILE *, FILE *);
-int decrunch_lzx	(FILE *, FILE *);
 int decrunch_oxm	(FILE *, FILE *);
 int decrunch_xfd	(FILE *, FILE *);
 int decrunch_s404	(FILE *, FILE *);
@@ -73,7 +72,7 @@
 	BUILTIN_OXM,
 	BUILTIN_XFD,
 	BUILTIN_MUSE,
-	BUILTIN_LZX,
+	/* BUILTIN_LZX, */
 	BUILTIN_ZIP,
 	BUILTIN_GZIP,
 	BUILTIN_COMPRESS,
@@ -195,9 +194,6 @@
     } else if (memcmp(b, "MUSE", 4) == 0 && readmem32b(b + 4) == 0xdeadbabe) {
 	/* MOD2J2B MUSE */
 	builtin = BUILTIN_MUSE;
-    } else if (memcmp(b, "LZX", 3) == 0) {
-	/* LZX */
-	builtin = BUILTIN_LZX;
     } else if (memcmp(b, "Rar", 3) == 0) {
 	/* rar */
 	cmd = "unrar p -inul -xreadme -x*.diz -x*.nfo -x*.txt "
@@ -323,9 +319,6 @@
 	case BUILTIN_MUSE:    
 	    res = decrunch_muse(*f, t);
 	    break;
-	case BUILTIN_LZX:    
-	    res = decrunch_lzx(*f, t);
-	    break;
 	case BUILTIN_S404:
 	    res = decrunch_s404(*f, t);
 	    break;
